## org.plovr
Class LocalFileJsInput

    java.lang.Object
      org.plovr.AbstractJsInput
          org.plovr.LocalFileJsInput

All Implemented Interfaces:
  SourceFile.Generator, JsInput

Direct Known Subclasses:
  CoffeeFile, JsSourceFile, SoyFile

    public abstract class LocalFileJsInput

extends AbstractJsInput

`LocalFileJsInput` represents a JavaScript input to the Closure Compiler that can be read from a local file.

Author:
  bolinfest@gmail.com (Michael Bolin)

Nested Class Summary

Nested classes/interfaces inherited from interface org.plovr.JsInput
`JsInput.CodeWithEtag`

Field Summary

Fields inherited from class org.plovr.AbstractJsInput
`provides, requires`

Method Summary
`boolean` `equals(Object obj)`
`protected File` `getSource()`
`int` `hashCode()`
`protected boolean` `hasInputChanged()`

Methods inherited from class org.plovr.AbstractJsInput
`calculateEtagFor, getCode, getCodeWithEtag, getName, getProvides, getRequires, getTemplateCode, isSoyFile, processProvidesAndRequires, supportsEtags, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getSource

    protected final File getSource()

### hasInputChanged

    protected boolean hasInputChanged()

  Overrides:
    `hasInputChanged` in class `AbstractJsInput`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`